Removes the attached snapshot repository. This is only possible if the repository is not in use anymore by any searchable snapshots.
Path parameters
-
Identifier for the Deployment
-
User-specified RefId for the Resource (or '_main' if there is only one)
-
The name of the snapshot repository to remove (e.g. _clone_abcd1234)
Responses
-
-
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - The snapshot repository specified by {repository_name} cannot be found. (code:
deployments.snapshot_dependency_not_found)
- The Deployment specified by {deployment_id} cannot be found. (code:
-
We have failed you. (code:
deployments.metadata_internal_error)
DELETE
/deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository/{repository_name}
curl \
--request DELETE 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository/{repository_name}'